# MSP::CCS::BritishNationalGrid Class Reference

`#include <BritishNationalGrid.h>`

Inheritance diagram for MSP::CCS::BritishNationalGrid:

List of all members.

## Public Member Functions

| BritishNationalGrid (char *ellipsoidCode)
| BritishNationalGrid (const BritishNationalGrid &bng)
| ~BritishNationalGrid (void)
BritishNationalGrid & | operator= (const BritishNationalGrid &bng)
EllipsoidParameters * | getParameters () const
MSP::CCS::BNGCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates, long precision)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::BNGCoordinates *bngCoordinates)
MSP::CCS::BNGCoordinates * | convertFromTransverseMercator (MapProjectionCoordinates *mapProjectionCoordinates, long precision)
MSP::CCS::MapProjectionCoordinates * | convertToTransverseMercator (MSP::CCS::BNGCoordinates *bngCoordinates)

## Detailed Description

Definition at line 98 of file BritishNationalGrid.h.

## Constructor & Destructor Documentation

BritishNationalGrid::BritishNationalGrid | ( | char * | ellipsoidCode | ) |

Definition at line 416 of file BritishNationalGrid.cpp.

BritishNationalGrid::BritishNationalGrid | ( | const BritishNationalGrid & | bng | ) |

Definition at line 445 of file BritishNationalGrid.cpp.

BritishNationalGrid::~BritishNationalGrid | ( | void |  | ) |

Definition at line 455 of file BritishNationalGrid.cpp.

## Member Function Documentation

MSP::CCS::BNGCoordinates * BritishNationalGrid::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates,
|  | long | precision |
| ) |  |  |

Definition at line 490 of file BritishNationalGrid.cpp.

MSP::CCS::BNGCoordinates * BritishNationalGrid::convertFromTransverseMercator | ( | MapProjectionCoordinates * | mapProjectionCoordinates,
|  | long | precision |
| ) |  |  |

Definition at line 610 of file BritishNationalGrid.cpp.

MSP::CCS::GeodeticCoordinates * BritishNationalGrid::convertToGeodetic | ( | MSP::CCS::BNGCoordinates * | bngCoordinates | ) |

Definition at line 554 of file BritishNationalGrid.cpp.

MSP::CCS::MapProjectionCoordinates * BritishNationalGrid::convertToTransverseMercator | ( | MSP::CCS::BNGCoordinates * | bngCoordinates | ) |

Definition at line 699 of file BritishNationalGrid.cpp.

EllipsoidParameters * BritishNationalGrid::getParameters | ( |  | ) | const

Definition at line 477 of file BritishNationalGrid.cpp.

BritishNationalGrid & BritishNationalGrid::operator= | ( | const BritishNationalGrid & | bng | ) |

Definition at line 462 of file BritishNationalGrid.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/bng/BritishNationalGrid.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/bng/BritishNationalGrid.cpp